Skip to main content
PATCH
Update a goal target

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

goalTargetId
string
required
Pattern: .+

Query Parameters

idProperty
string

The name of a property whose values are unique for this object type

Body

application/json

Represents the input required to create or update a CRM object, containing an object with property names and their corresponding values.

properties
object
required

Key value pairs representing the properties of the object.

Response

successful operation

A simple public object.

archived
boolean
required

Whether the object is archived.

createdAt
string<date-time>
required

The timestamp when the object was created, in ISO 8601 format.

id
string
required

The unique ID of the object.

properties
object
required

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
required

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

An identifier used for tracing the write request for the object.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

The URL associated with the object.

warnings
object[]
Last modified on March 30, 2026